# Uses of Class
com.clickhouse.jdbc.JdbcTypeMapping

Packages that use JdbcTypeMapping
Package
Description
com.clickhouse.jdbc
com.clickhouse.jdbc.internal

## Uses of JdbcTypeMapping in com.clickhouse.jdbc

Fields in com.clickhouse.jdbc declared as JdbcTypeMapping
Modifier and Type
Field
Description
`protected final JdbcTypeMapping`
ClickHouseResultSet.`mapper`
Methods in com.clickhouse.jdbc that return JdbcTypeMapping
Modifier and Type
Method
Description
`static JdbcTypeMapping`
JdbcTypeMapping.`getAnsiMapping()`
Gets ANSI type mapping.
`static JdbcTypeMapping`
JdbcTypeMapping.`getDefaultMapping()`
Gets default type mapping.
`JdbcTypeMapping`
JdbcConfig.`getDialect()`
Gets JDBC dialect.
`default JdbcTypeMapping`
ClickHouseConnection.`getJdbcTypeMapping()`
Gets JDBC type mapping.
Methods in com.clickhouse.jdbc with parameters of type JdbcTypeMapping
Modifier and Type
Method
Description
`static ResultSetMetaData`
ClickHouseResultSetMetaData.`of(JdbcConfig config, String database, String table, List<ClickHouseColumn> columns, JdbcTypeMapping mapper, Map<String,Class<?>> typeMap)`
Constructors in com.clickhouse.jdbc with parameters of type JdbcTypeMapping
Modifier
Constructor
Description
`protected`
`ClickHouseResultSetMetaData(JdbcConfig config, String database, String table, List<ClickHouseColumn> columns, JdbcTypeMapping mapper, Map<String,Class<?>> typeMap)`

## Uses of JdbcTypeMapping in com.clickhouse.jdbc.internal

Fields in com.clickhouse.jdbc.internal declared as JdbcTypeMapping
Modifier and Type
Field
Description
`protected final JdbcTypeMapping`
ClickHouseParameterMetaData.`mapper`
`protected final JdbcTypeMapping`
ClickHouseStatementImpl.`mapper`
Constructors in com.clickhouse.jdbc.internal with parameters of type JdbcTypeMapping
Modifier
Constructor
Description
`protected`
`ClickHouseParameterMetaData(List<ClickHouseColumn> params, JdbcTypeMapping mapper, Map<String,Class<?>> typeMap)`